Debian Codegraph @

api-ref/source/v1/floatingips.inc

raw
1 .. -*- rst -*-
2
3 ============
4 Floating IPs
5 ============
6
7 List FloatingIPs
8 ================
9
10 .. rest_method:: GET v1/floatingips
11
12 List floating IPs.
13
14 **Response codes**
15
16 Normal response code: 200
17
18 Error response codes: Bad Request(400), Unauthorized(401), Forbidden(403),
19 Internal Server Error(500)
20
21 Request
22 -------
23
24 No body content, path, nor query option.
25
26 Response
27 --------
28
29 .. rest_parameters:: parameters.yaml
30
31 - floatingips: floatingips
32 - id: floatingip_id
33 - floating_network_id: floating_network_id
34 - subnet_id: floating_subnet_id
35 - floating_ip_address: floating_ip_address
36 - reservable: floatingip_reservable
37 - created_at: created_at
38 - updated_at: updated_at
39
40 **Example of List Hosts Response**
41
42 .. literalinclude:: ../../../doc/api_samples/floatingips/floatingip-list-resp.json
43 :language: javascript
44
45 Create Floating IP
46 ==================
47
48 .. rest_method:: POST v1/floatingips
49
50 Create a floating IP.
51
52 **Response codes**
53
54 Normal response code: 201
55
56 Error response codes: Bad Request(400), Unauthorized(401), Forbidden(403),
57 Conflict(409), Internal Server Error(500)
58
59 Request
60 -------
61
62 .. rest_parameters:: parameters.yaml
63
64 - floating_network_id: floating_network_id
65 - floating_ip_address: floating_ip_address_create
66
67 **Example of Create Host Request**
68
69 .. literalinclude:: ../../../doc/api_samples/floatingips/floatingip-create-req.json
70 :language: javascript
71
72 Response
73 --------
74
75 .. rest_parameters:: parameters.yaml
76
77 - floatingip: floatingip
78 - id: floatingip_id
79 - floating_ip_address: floating_ip_address
80 - network_id: floating_network_id
81 - subnet_id: floating_subnet_id
82 - reservable: floatingip_reservable
83 - created_at: created_at
84 - updated_at: updated_at
85
86 **Example of Create Host Response**
87
88 .. literalinclude:: ../../../doc/api_samples/floatingips/floatingip-create-resp.json
89 :language: javascript
90
91 Show Floating IP Details
92 ========================
93
94 .. rest_method:: GET v1/floatingips/{floatingip_id}
95
96 Show details of a floating IP.
97
98 **Preconditions**
99
100 The floating IP must exist.
101
102 **Response codes**
103
104 Normal response code: 200
105
106 Error response codes: Bad Request(400), Unauthorized(401), Forbidden(403),
107 Not Found(404), Internal Server Error(500)
108
109 Request
110 -------
111
112 .. rest_parameters:: parameters.yaml
113
114 - floatingip_id: floatingip_id_path
115
116 Response
117 --------
118
119 .. rest_parameters:: parameters.yaml
120
121 - floatingip: floatingip
122 - id: floatingip_id
123 - floating_network_id: floating_network_id
124 - floating_ip_address: floating_ip_address
125 - reservable: floatingip_reservable
126 - created_at: created_at
127 - updated_at: updated_at
128
129 **Example of Show Floating IP Details Response**
130
131 .. literalinclude:: ../../../doc/api_samples/floatingips/floatingip-details-resp.json
132 :language: javascript
133
134 Delete Floating IP
135 ==================
136
137 .. rest_method:: DELETE v1/floatingips/{floatingip_id}
138
139 Delete a floating IP.
140
141 **Preconditions**
142
143 The floating IP must exist.
144
145 **Response codes**
146
147 Normal response code: 204
148
149 Error response codes: Bad Request(400), Unauthorized(401), Forbidden(403),
150 Not Found(404), Conflict(409), Internal Server Error(500)
151
152 Request
153 -------
154
155 .. rest_parameters:: parameters.yaml
156
157 - floatingip_id: floatingip_id_path
158
159 Repsponse
160 ---------
161
162 No body content is returned on a successful DELETE.